nvme_mi_admin_identify_allocated_ns(2)

NAME
nvme_mi_admin_identify_allocated_ns - Perform an Admin identify command for an allocated namespace

SYNOPSIS
int nvme_mi_admin_identify_allocated_ns (nvme_mi_ctrl_t ctrl , __u32 nsid , struct nvme_id_ns *ns );

ARGUMENTS

ctrl
    Controller to process identify command

nsid
    namespace ID

ns  Namespace identification to populate

DESCRIPTION
Perform an Identify (namespace) command, setting the namespace id data in ns.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.